### Method

# WebKit2WebExtension DOMDocument create_tree_walker

#### Declaration [src]

    WebKitDOMTreeWalker*
    webkit_dom_document_create_tree_walker (
      WebKitDOMDocument* self,
      WebKitDOMNode* root,
      gulong whatToShow,
      WebKitDOMNodeFilter* filter,
      gboolean expandEntityReferences,
      GError** error
    )

#### Description

No description available.

Deprecated since: | 2.22
Use JavaScriptCore API instead.

#### Parameters

`root` | `WebKitDOMNode`
| A `WebKitDOMNode`.
| The data is owned by the caller of the function.
`whatToShow` | `gulong`
| A #gulong.
`filter` | `WebKitDOMNodeFilter`
| A `WebKitDOMNodeFilter`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`expandEntityReferences` | `gboolean`
| A #gboolean.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `WebKitDOMTreeWalker`
| A `WebKitDOMTreeWalker`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.